## vistrails 2.0.alpha~1

=== doc/usersguide/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/VisTrails.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/VisTrails.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
vistrails (2.0.alpha~1-3) unstable; urgency=low

  * Make vistrails Architecture: all. Closes: #654910.
  * Add build-dep on python-support. Closes: 652288.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Jan 2012 15:37:24 +0000

vistrails (2.0.alpha~1-2) unstable; urgency=low

  * Add runtime dependency on python-qt4-gl. Closes: #644355

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Oct 2011 10:13:32 +0100

vistrails (2.0.alpha~1-1) unstable; urgency=low

  * Initial release. (Closes: #644096)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Oct 2011 11:09:27 +0100

=== debian/control ===
Source: vistrails
Section: science
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), python, debhelper (>= 8.1.3~), python-numpy, python-support
Standards-Version: 3.9.2
Homepage: http://www.vistrails.org/index.php/Main_Page

Package: vistrails
Section: science
Architecture: all 
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, python-suds, python-sip, python-vtk, python-qt4-gl
Description: Science visualisation workflow toolkit
 VisTrails is an open-source scientific workflow and provenance management
 system developed at the University of Utah that provides support for 
 data exploration and visualization. Whereas workflows have been traditionally
 used to automate repetitive tasks, for applications that are exploratory 
 in nature, such as simulations, data analysis and visualization, very little
 is repeated---change is the norm. As an engineer or scientist generates and
 evaluates hypotheses about data under study, a series of different, albeit
 related, workflows are created while a workflow is adjusted in an interactive 
 process. VisTrails was designed to manage these rapidly-evolving workflows.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	cp vistrails/vistrails.py debian/vistrails/usr/bin/vistrails
	cp -a vistrails debian/vistrails/usr/share/pyshared
	rm -r debian/vistrails/usr/share/pyshared/vistrails/tests
	find debian/vistrails -type f -exec chmod 644 {} \;
	dh_numpy

## vistrails 2.1.1

=== contrib/TetGenBridge/Makefile ===
SRCS := tetgen_wrap.cc

INCLUDES := -I/usr/include/python2.4 -I/scratch/mjc/tetgen-dev

CC := g++
CXXFLAGS := -fPIC
LIBS := -lpython2.4 -ltet

%.o :: %.cc
	$(CC) $(CXXFLAGS) -c -o $@ $(INCLUDES) $<


_TetGen.so: tetgen_wrap.o
	$(CC) $(CXXFLAGS) -shared -o _TetGen.so tetgen_wrap.o $(INCLUDES) -L . $(LIBS)

tetgen_wrap.cc:tetgen.i
	swig -v -o tetgen_wrap.cc $(INCLUDES) -python -c++ tetgen.i

=== debian/changelog ===
vistrails (2.1.1-1) unstable; urgency=medium

  * New upstream release.  Closes: #728986.
  * Standards-Version: 3.9.5
  * Now at DH_COMPAT=9
  * Now use dh-python not python-support
  * Patches needed to prevent auto-installing packages, fix paths for files.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 May 2014 16:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: science
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), python, debhelper (>= 8.1.3~), python-numpy, python-support
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-all-dev, python-numpy
+Standards-Version: 3.9.5
 Homepage: http://www.vistrails.org/index.php/Main_Page
 
 Package: vistrails
 Section: science
 Architecture: all 
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, python-suds, python-sip, python-vtk, python-qt4-gl
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, python-suds, python-sip, python-vtk, python-qt4-gl, python-qt4-sql
 Description: Science visualisation workflow toolkit
  VisTrails is an open-source scientific workflow and provenance management
  system developed at the University of Utah that provides support for

## vistrails 2.2

=== debian/changelog ===
vistrails (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to python-vtk6.
  * Added depends on ipython-qtconsole, python-sklearn
  * Standards-Version: 3.9.6.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jun 2015 15:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), python-all-dev, python-numpy
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.vistrails.org/index.php/Main_Page
 
 Package: vistrails
 Section: science
 Architecture: all 
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, python-suds, python-sip, python-vtk, python-qt4-gl, python-qt4-sql
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, 
+  python-suds, python-sip, ipython-qtconsole, python-sklearn,
+  python-vtk6, python-qt4-gl, python-qt4-sql
 Description: Science visualisation workflow toolkit
  VisTrails is an open-source scientific workflow and provenance management
  system developed at the University of Utah that provides support for

## vistrails 2.2.4

=== doc/usersguide/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+
+export PYTHONPATH = $(CURDIR)/../..
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

=== extensions/latex/Makefile ===
all: example example2 head           

example:
	pdflatex -shell-escape example

example2:
	pdflatex -shell-escape example2
	bibtex example2
	pdflatex -shell-escape example2
	pdflatex -shell-escape example2

head: 
	pdflatex -shell-escape head

clean:
	\rm example.pdf example2.pdf head.pdf *.aux *.bbl *.blg *.log *~ *.cmdline *.cmdline.* example.out example2.out head.out

=== debian/changelog ===
vistrails (2.2.4-1build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:45:41 +0100

vistrails (2.2.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8
  * DH_COMPAT=10
  * Change dependency: ipython-qtconsole -> jupyter-qtconsole 
  * Build-Depend on dh-python
  * Update copyright owners; make copyright machine readable. 
    Closes: #840525, #796994
  * Now depend on python-usagestats

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Dec 2016 11:43:33 +0000

vistrails (2.2-2) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Drop dependency on ipython-qtconsole for the ipython5 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Oct 2016 15:16:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: science
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), python-all-dev, python-numpy
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), python-all-dev, python-numpy, dh-python
+Standards-Version: 3.9.8
 Homepage: http://www.vistrails.org/index.php/Main_Page
 
 Package: vistrails
 Section: science
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, 
-  python-suds, python-sip, ipython-qtconsole, python-sklearn,
-  python-vtk6, python-qt4-gl, python-qt4-sql
+  python-suds, python-sip, jupyter-qtconsole, python-sklearn,
+  python-vtk6, python-qt4-gl, python-qt4-sql, python-usagestats,
+  python-xlrd, python-sqlalchemy
 Description: Science visualisation workflow toolkit
  VisTrails is an open-source scientific workflow and provenance management
  system developed at the University of Utah that provides support for

## vistrails 3.0~git%2B9dc22bd.dfsg.1

=== debian/changelog ===
vistrails (3.0~git+9dc22bd.dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * setup.py: Use a valid version number. (Closes: #1030425)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 22:56:07 +0200

vistrails (3.0~git+9dc22bd.dfsg.1-1) unstable; urgency=medium

  * Drop both non-free files, from source. Closes: #1028026

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Jan 2023 15:04:19 +0000

vistrails (3.0~git+9dc22bd-5) unstable; urgency=medium

  * Drop non-free font file. Closes: #1028026

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jan 2023 12:47:59 +0000

vistrails (3.0~git+9dc22bd-4) unstable; urgency=medium

  * Move deps from vtk7 to vtk9. Closes: #1016601
  * Standards-Version: 4.6.1; no changes required
  * patch for python3.10, python literals fixes

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2022 12:23:02 +0100

vistrails (3.0~git+9dc22bd-3) unstable; urgency=medium

  * Debhelper level 13
  * Standards-Version: 4.6.0
  * Add d/gpb.conf pointing to DEP-14 branches
  * Add vcs-* pointing to salsa, git repos

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Apr 2022 14:51:31 +0100

vistrails (3.0~git+9dc22bd-2) unstable; urgency=medium

  * python-vtk6 dependency now replaced by python3-vtk7.
    Closes: #944134
  * Ditto python-matplotlib -> python3-matplotlib

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2019 12:18:09 +0000

vistrails (3.0~git+9dc22bd-1) unstable; urgency=medium

  * Snapshot of python3, Qt5 branch
    Closes: #932942, #935353, #748692, #851421, #938787
  * Standards-Version: 4.4.0; no changes required
  * Move to debhelper-compat (= 12)
  * Move from 'extra' to 'optional'
  * Drop packages.patch ; obsolete
  * Move to pybuild buildsystem
  * Disable tests: port not complete (need package manager finished)
  * Drop custom 'xz' compression

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Sep 2019 16:37:23 +0100

## vistrails 3.0~git+9dc22bd

=== requirements.txt ===
backports.ssl_match_hostname
certifi
qtconsole
dulwich
# mysql-python
pyth
scp
Sphinx
sphinx-argparse
file_archive>=0.6
tej>=0.3
zmq

=== doc/internal/requirements.txt ===
sphinx-issues

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,29 @@
 Source: vistrails
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), python-all-dev, python-numpy, dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), 
+ python3-all-dev, 
+ python3-setuptools,
+ python3-numpy, 
+ dh-python
+Standards-Version: 4.4.1.0
 Homepage: http://www.vistrails.org/index.php/Main_Page
 
 Package: vistrails
 Section: science
 Architecture: all 
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-qt4, python-matplotlib, 
-  python-suds, python-sip, jupyter-qtconsole, python-sklearn,
-  python-vtk6, python-qt4-gl, python-qt4-sql, python-usagestats,
-  python-xlrd, python-sqlalchemy
+Depends: ${misc:Depends}, ${python3:Depends}, 
+  python3-numpy, 
+  python3-scipy, 
+  python3-dulwich,
+  python3-qtconsole,
+  python3-matplotlib, 
+  python3-suds, python3-sip, jupyter-qtconsole, python3-sklearn,
+  python3-vtk7, 
+  python3-xlrd, 
+  python3-xlwt,
+  python3-sqlalchemy
 Description: Science visualisation workflow toolkit
  VisTrails is an open-source scientific workflow and provenance management
  system developed at the University of Utah that provides support for

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.vt -X.py


override_dh_auto_test:
	@echo Tests require package manager to be completed. Unfinished

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_fixperms:
	rm -rf debian/vistrails/usr/share/vistrails/scripts/dist/windows
	find debian/vistrails -type f -exec chmod 644 {} \;
	find debian/vistrails -name '*.sh' -exec chmod 755 {} \;
	dh_fixperms

## vistrails 3.0~git+9dc22bd.dfsg.1

=== doc/internal/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/VisTrails.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/VisTrails.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/VisTrails"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/VisTrails"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
vistrails (3.0~git+9dc22bd.dfsg.1-2) unstable; urgency=medium

  * Ensure sip loaded from Qt5. Closes: #966055
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jan 2024 13:51:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
  python3-all-dev, 
  python3-setuptools,
  python3-numpy, 
  dh-python
-Standards-Version: 4.4.1.0
+Standards-Version: 4.6.2
 Homepage: http://www.vistrails.org/index.php/Main_Page
+Vcs-Browser: https://salsa.debian.org:/science-team/vistrails.git
+Vcs-Git: https://salsa.debian.org:/science-team/vistrails.git -b debian/latest
 
 Package: vistrails
 Section: science
@@ -19,8 +21,8 @@
   python3-dulwich,
   python3-qtconsole,
   python3-matplotlib, 
-  python3-suds, python3-sip, jupyter-qtconsole, python3-sklearn,
-  python3-vtk7, 
+  python3-suds, jupyter-qtconsole, python3-sklearn,
+  python3-vtk9, 
   python3-xlrd, 
   python3-xlwt,
   python3-sqlalchemy
